View a markdown version of this page

BatchGetCodeReviews - AWS Security Agent

BatchGetCodeReviews

Retrieves information about one or more code reviews in an agent space.

Request Syntax

POST /BatchGetCodeReviews HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "codeReviewIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the code reviews.

Type: String

Required: Yes

codeReviewIds

The list of code review identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "codeReviews": [ { "agentSpaceId": "string", "assets": { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "documents": [ { "artifactId": "string", "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "sourceCode": [ { "s3Location": "string" } ] }, "codeRemediationStrategy": "string", "codeReviewId": "string", "createdAt": "string", "logConfig": { "logGroup": "string", "logStream": "string" }, "serviceRole": "string", "title": "string", "updatedAt": "string" } ], "notFound": [ "string" ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

codeReviews

The list of code reviews that were found.

Type: Array of CodeReview objects

notFound

The list of code review identifiers that were not found.

Type: Array of strings

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: